/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.knox.gateway.encrypturi.api;

import org.apache.knox.gateway.filter.rewrite.ext.UrlRewriteActionDescriptor;
import org.apache.knox.gateway.filter.rewrite.spi.UrlRewriteActionDescriptorBase;

public class EncryptUriDescriptor extends UrlRewriteActionDescriptorBase
    implements UrlRewriteActionDescriptor {
  public static final String STEP_NAME = "encrypt";
  public static final String PASSWORD_ALIAS = "encryptQueryString";
  private String template;
  private String param;

  public EncryptUriDescriptor() {
    super( STEP_NAME );
  }

  public String getTemplate() {
    return template;
  }

  public void setTemplate( String template ) {
    this.template = template;
  }

  @Override
  public String getParam() {
    return param;
  }

  @Override
  public void setParam(String param ) {
    this.param = param;
  }
}
